clear all
set more off
cap log close
log using ../output/log, replace text
cap mkdir ../temp

global drug_list_top_1_3 "../../drug_level_spending_top_1_3/output/drug_list"
global drug_list_top_4_6 "../../drug_level_spending_top_4_6/output/drug_list"
global drug_list_top_7_10 "../../drug_level_spending_top_7_10/output/drug_list"

program main

    use ${drug_list_top_1_3}, clear
    gen group = "Top 1-3"
    gen id=_n
    save ../temp/drug_list_top_1_3, replace

    use ${drug_list_top_4_6}, clear
    gen group = "Top 4-6"
    gen id=_n
    save ../temp/drug_list_top_4_6, replace

    use ${drug_list_top_7_10}, clear
    gen group = "Top 7-10"
    gen id=_n
    save ../temp/drug_list_top_7_10, replace

    clear
    append using ../temp/drug_list_top_1_3
    append using ../temp/drug_list_top_4_6
    append using ../temp/drug_list_top_7_10
    gen id_2=_n
    save ../output/drug_list, replace  
    preserve 
    keep if group == "Top 1-3"
    save ../output/drug_list_top_1_3, replace
    restore
    preserve 
    keep if group == "Top 4-6"
    save ../output/drug_list_top_4_6, replace
    restore
    keep if group == "Top 7-10"
    save ../output/drug_list_top_7_10, replace

end

*Execute
main
