clear all
set more off
cap log close
log using ../output/log, replace text
cap mkdir ../temp

global data_location "../../../raw/marketscan/data/100pct/"

program main

    use thercls ndcnum using ${data_location}/ccaed2013, clear
    drop if ndcnum=="00000000000"
    gen number_of_claims = 1
    collapse (sum) number_of_claims, by(thercls ndcnum)
    gsort thercls -number_of_claims
    by thercls: keep if _n>6 & _n<11
    keep ndcnum
    save ../output/drug_list, replace
    
    use enrolid ndcnum pay using ${data_location}/ccaed2013, clear
    merge m:1 ndcnum using ../output/drug_list, assert(1 3) keep(3) keepusing(*) nogen
    collapse (sum) pay, by(enrolid ndcnum)
    reshape wide pay, i(enrolid) j(ndcnum) string
    foreach var of varlist pay* {
        replace `var'=0 if `var'==.
        replace `var'=1 if `var'>0
    }
    save ../output/drug_use_flags, replace

end

*Execute
main
