clear all
set more off
cap log close
log using ../output/log, replace text
cap mkdir ../temp

global data_location "../../../raw/ahfs/data/"

program main

    import delimited ${data_location}/mapAHFSClass_NDC.txt, delimiter("|") varnames(nonames) clear
    rename v1 ndc
    rename v2 ndc_str
    rename v3 ahfs_class_num
    rename v4 ahfs_class_text
    save ../output/therapeutic_classes_ahfs, replace

    import delimited ${data_location}/mapAHFSClass_SCDF.txt, delimiter("|") varnames(nonames) clear
    rename v1 scdf_cui
    rename v2 scdf_str
    rename v3 ahfs_class_num
    rename v4 ahfs_class_text
    save ../output/therapeutic_classes_rxnorm, replace

    import delimited ${data_location}/tblAHFSClass.txt, delimiter("|") varnames(nonames) clear
    rename v1 ahfs_class_id
    rename v2 ahfs_class_num
    rename v3 ahfs_class_6
    rename v4 ahfs_class_8
    rename v5 ahfs_class_text
    rename v6 ahfs_class_french
    rename v7 ahfs_class_parent_id
    rename v8 ahfs_class_has_sub_class
    rename v9 ahfs_root_parent_id
    rename v10 ahfs_seq_num
    rename v11 ahfs_hierarchy_level
    rename v12 ahfs_print
    rename v13 ahfs_print_order
    rename v14 ahfs_retired
    rename v15 ahfs_retired_date
    rename v16 ahfs_add_date
    rename v17 ahfs_cx_date
    rename v18 ahfs_cx_desc
    save ../output/ahfs_class_details, replace

    import delimited ${data_location}/tblAHFSDrugs.txt, delimiter(",") clear   
    save ../output/ahfs_drugs, replace

    import delimited ${data_location}/tblAHFSTradenames.txt, delimiter(",") clear   
    save ../output/ahfs_trade_names, replace

end

*Execute
main
