clear all
set more off
cap log close
log using ../output/log, replace text
cap mkdir ../temp

global spending_measures_2012 "../../spending_measures/output/spending_measures_2012"
global spending_measures_2013 "../../spending_measures/output/spending_measures_2013"
global sample "../../sample_restrictions/output/sample_list"

program main
    forv year=2012/2013 {
        use ${spending_measures_`year'}, clear
        rename *spending* *spending*_`year'
        save ../temp/spending_measures_`year', replace
    }
    use ${sample}, clear
    merge 1:1 enrolid using ../temp/spending_measures_2012, assert(1 2 3) keep(3) keepusing(*) nogen
    merge 1:1 enrolid using ../temp/spending_measures_2013, assert(1 2 3) keep(3) keepusing(*) nogen
    forv i=1/258 {
        capture confirm variable spending_thercls_`i'_2012
        if !_rc {
            count if any_spending_thercls_`i'_2012==1
            local number_with_any_spending = `r(N)'
            if `number_with_any_spending'>3 {
                xtile spending_thercls_`i'_2012_quart=spending_thercls_`i'_2012 ///
                    if any_spending_thercls_`i'_2012==1, nquantiles(4)
                replace spending_thercls_`i'_2012_quart=0 if spending_thercls_`i'_2012_quart==.
                tab spending_thercls_`i'_2012_quart, gen(spending_thercls_`i'_2012_q)
            }            
        }
    }
    save ../output/spending_measures_quantiles, replace
end

*Execute
main