clear all
set more off
cap log close
log using ../output/log, replace text
cap mkdir ../temp

global redbook "../../../raw/marketscan/data/redbook"
global ahfs "../../load_ahfs_data/output/therapeutic_classes_ahfs"

program main

    use ndcnum thercls thrclds using ${redbook}, clear
    destring ndcnum, gen(ndc) force
    drop if ndc==.
    drop ndcnum 
    rename thercls therapeutic_class
    rename thrclds therapeutic_class_description
    save ../output/therapeutic_classes, replace

    use ${ahfs}, clear
    bys ndc: keep if _n==1
    rename ahfs_class_num therapeutic_class
    rename ahfs_class_text therapeutic_class_description
    egen therapeutic_class_key = group(therapeutic_class)
    save ../output/therapeutic_classes_ahfs, replace

end

*Execute
main
